Bug 1652497 - Missing consumed and entitlements columns at subscriptions page
Summary: Missing consumed and entitlements columns at subscriptions page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Walden Raines
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 09:17 UTC by Nikhil Kathole
Modified: 2019-10-07 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)
screenshot of UI (80.93 KB, image/png)
2018-11-22 09:21 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25574 None None None 2018-11-28 16:12:27 UTC

Description Nikhil Kathole 2018-11-22 09:17:33 UTC
Description of problem:
Subscription page in 6.5 has only Name, SKU, contract, start-date and end-date columns only while 6.4 has type,requires virt-who, consumed and entitlements which are missing in 6.5 snap 4.


Version-Release number of selected component (if applicable):
Satellite 6.5 snap4


How reproducible: always


Steps to Reproduce:
1. Import a manifest
2. Navigate to subscriptions page.

Actual results:

Only Name, SKU, contract, start-date and end-date columns are seen and type,requires virt-who, consumed and entitlements columns are missing. (see attachment)


Expected results:

type,requires virt-who, consumed and entitlements columns should available.


Additional info:

Comment 1 Nikhil Kathole 2018-11-22 09:21:24 UTC
Created attachment 1507901 [details]
screenshot of UI

Comment 6 Walden Raines 2018-11-28 16:12:26 UTC
Created redmine issue https://projects.theforeman.org/issues/25574 from this bug

Comment 8 pm-sat@redhat.com 2018-12-12 23:03:04 UTC
Upstream bug assigned to walden@redhat.com

Comment 9 pm-sat@redhat.com 2018-12-12 23:03:06 UTC
Upstream bug assigned to walden@redhat.com

Comment 10 pm-sat@redhat.com 2018-12-17 15:02:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25574 has been resolved.

Comment 11 Nikhil Kathole 2018-12-26 09:11:03 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 9

consumed and entitlements columns are default enabled at subscriptions page.

Comment 14 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.